
From: Kevin Corry <kevcorry@us.ibm.com>

dm.c: Use wake_up() rather than wake_up_interruptible() with the eventq.


---

 25-akpm/drivers/md/dm.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/dm.c~dm-use-wake_up-rather-than-wake_up_interruptible drivers/md/dm.c
--- 25/drivers/md/dm.c~dm-use-wake_up-rather-than-wake_up_interruptible	Mon Apr 12 13:48:49 2004
+++ 25-akpm/drivers/md/dm.c	Mon Apr 12 13:48:49 2004
@@ -748,7 +748,7 @@ static void event_callback(void *context
 
 	down_write(&md->lock);
 	md->event_nr++;
-	wake_up_interruptible(&md->eventq);
+	wake_up(&md->eventq);
 	up_write(&md->lock);
 }
 

_
